Subject: bug#24582: 25.1; liga incorrect work (dublicate)

From: Alan Third <[email-masked]>
Date: Tue, 11 Aug 2020 22:01:19 +0200 (CEST)

On Tue, Aug 11, 2020 at 03:55:13PM +0200, Lars Ingebrigtsen wrote:
> YAMAMOTO Mitsuharu <[email-masked]> writes:
> 
> >> Please see the attached screenshot.
> >>> So the problem is text alignment due to display of characters such
> >>> as ⇒, is that right?
> >> Yes
> >
> > I could reproduce it with Hasklig 11pt.  Does the following patch work
> > for you?
> 
> This was more than three years ago, but there was no followup.  The
> patch still applies to Emacs 28, and it compiles and runs on Macos
> without any immediately adverse effects.
> 
> Alan, does this patch look reasonable to you?

I really have very little grasp on macfont.m, but it's Yamamoto
Mitsuharu's code, so I would tend to go along with him.
-- 
Alan Third